////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

/* panelPersoneController */

#import <Cocoa/Cocoa.h>
#import <gstregaliapp.h>
#import "FGODBCResultSet.h"

@interface panelRegaliController : NSObject
{
    IBOutlet NSTextField *costo;
    IBOutlet NSTextField *descrizione;
    IBOutlet NSTableView *elencoRegali;
    IBOutlet NSTextField *etada;
    IBOutlet NSTextField *etaa;
    IBOutlet NSButton *flgSingle;
    IBOutlet NSTextField *idealeper;
    IBOutlet NSTextField *idRegalo;
    IBOutlet NSSegmentedControl *pulsantiAzione;
    IBOutlet gstregaliapp *theApp;
	IBOutlet NSButton *btnModifica;
	
    //DATASOURCE for NSTableView
	FGODBCResultSet *dsRegali; //DataSource REGALI
}
- (IBAction)btnBarraAzionePremuto:(id)sender;
- (IBAction)btnModificaPremuto:(id)sender;

-(void)updateRecord; //Update Record
-(void)deleteRecord; //Delete record
-(void)deleteAllRecords; //Delete all records

-(void) startUseDataSource; //Start using internal datasource for tableview

 //enable/disable control in user interface
-(void)setCtrlStat:(BOOL) bSts;

//Double click action
-(void)loadSelectedData;

//Clear user input fields data
-(void)clearFelds;


@end
